<?php
session_start(); // Start session

// Check if the user is logged in and has a region
if (!isset($_SESSION['zone'])) {
    // Redirect to login or show an error message if no region is set
    header("Location: index.php");
    exit();
}

include 'conn.php'; // Include your database connection

$zone = $_SESSION['zone']; // Get the zone from session

// Fetch participants data for the specific zone
$sql = "SELECT id, regid, firstname, lastname, agecategory, email, gameevent, passport, status, reason, birth_certificate FROM paticipants WHERE zone = ?";
$stmt = $conn->prepare($sql);
$stmt->execute([$zone]);
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Set the content type to CSV
header('Content-Type: text/csv');
header('Content-Disposition: attachment; filename="participants.csv"');

// Open the output stream
$output = fopen('php://output', 'w');

// Add the header row to the CSV
fputcsv($output, ['ID', 'RegId', 'First Name', 'Last Name', 'Age Category', 'Email', 'Game Event', 'Passport Status', 'Birth Certificate Status', 'Status', 'Reason']);

// Loop through participants and add data to CSV
foreach ($participants as $participant) {
    fputcsv($output, [
        $participant['id'],
        $participant['regid'],
        $participant['firstname'],
        $participant['lastname'],
        $participant['agecategory'],
        $participant['email'],
        $participant['gameevent'],
        !empty($participant['passport']) ? 'Uploaded' : 'Not Uploaded',
        !empty($participant['birth_certificate']) ? 'Uploaded' : 'Not Uploaded',
        $participant['status'],
        $participant['reason']
    ]);
}

// Close the output stream
fclose($output);
exit();
?>
