<?php
// Ensure the necessary parameters are passed via GET
if (isset($_GET['zone']) && isset($_GET['region'])) {
  // Get the zone and region from the request
  $zone = $_GET['zone'];
  $region = $_GET['region'];  // Keep region as it is (it could be a number or text)

  // Use PDO to query for the provinces based on the selected region and zone
  require 'conn.php'; // Assuming your database connection is in this file

  // SQL query to get provinces for the selected region and zone
  // Since the region can be text or number, we use the region as is
  $sql = "SELECT DISTINCT province
          FROM province 
          WHERE zone = :zone AND region = :region
          ORDER BY CAST(SUBSTRING(province, LENGTH(province) - LOCATE(' ', REVERSE(province)) + 2) AS UNSIGNED) ASC";

  // Prepare and execute the statement
  $stmt = $conn->prepare($sql);
  $stmt->bindParam(':zone', $zone, PDO::PARAM_STR);
  $stmt->bindParam(':region', $region, PDO::PARAM_STR);  // Bind region as a string (text or number)
  $stmt->execute();

  // Fetch the provinces
  $provinces = $stmt->fetchAll(PDO::FETCH_ASSOC);

  // Return the provinces as a JSON response
  echo json_encode($provinces);
}
?>
