<?php 
ini_set('display_errors', 1); 
ini_set('display_startup_errors', 1); 
error_reporting(E_ALL);
session_start();
require_once('conn.php');

if(isset($_GET['status'])) {
    //* check payment status
    if($_GET['status'] == 'cancelled') {
        header('Location: paymentfailed.php?');
    } else if($_GET['status'] == 'successful') {
        $txid = $_GET['transaction_id'];
        $ref = $_GET['tx_ref'];

        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://api.flutterwave.com/v3/transactions/{$txid}/verify",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => array(
              "Content-Type: application/json",
              "Authorization: Bearer FLWSECK-a53c3983c72c416729fd135f0b58534f-188d3083cf5vt-X"
            ),
          ));

        $response = curl_exec($curl);
        curl_close($curl);

        $res = json_decode($response,true);

        if($res['status']) { 
            $data = $res['data']['meta'];							
            $email = $data['Email'];							
            $province = $data['Province'];
            $region = $data['Region'];
            $name = strtoupper($data['Name']);
            $phone = $data['Phonenumber'];
            $amount = $res['data']['amount'];

            $date = Date('Y-m-d H:i:s');
            $year = Date('Y');

            $d = $_SESSION;
            $p1 = $d['cart_item']['children']['quantity'];
            $p2 = $d['cart_item']['teenagers']['quantity'];
            $p3 = $d['cart_item']['teachers']['quantity'];
            $mode = "Online Payment"; // Initialize the payment mode
            $bank = "Flutterwave"; // Initialize the payment mode
            $status = "Approved";// Initialize the payment status
            $approved_by = "DTCE IT ADMIN"; // Initialize the payment approval
            
            // Handle empty quantities
            if ($p2 == '') {
                $p2 = '0';
            }
            if ($p1 == '') {
                $p1 = '0';
            }
            if ($p3 == '') {
                $p3 = '0';
            }
            
            // Insert into registration table
            $sqlRegistration = "INSERT INTO registration(name,email,phone_number,p1,p2,p3,region,province,password,amount,date,year) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
            $conn->prepare($sqlRegistration)->execute([$name, $email, $phone, $p1, $p2, $p3, $region, $province, $ref,$amount,$date,$year]);
            
            // Insert into bank table
            $sqlBank = "INSERT INTO bank(name,email,phone_number,bank,date_of_payment,region,province,mode,cash,money,rrr,ref,status,approved_by,date,year) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $conn->prepare($sqlBank)->execute([$name, $email, $phone,$bank,$date, $region, $province, $mode, $amount, $amount, $ref, $txid, $status, $approved_by, $date, $year]);

            $_SESSION["token"] = $ref;
            header("Location: onlinepaymentsuccessful.php");
        } else {
            header('Location: paymentfailed.php');
        }
    } else {
        echo 'Can not process payment';
    }
}
?>