<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="description" content="Deeper Life High School">
    <meta name="keywords" content="Deeper Life High School">
    <meta name="author" content="Samzytech">
    <title>Guardian Dashboard</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="../assets/images/favicon.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&display=swap" rel="stylesheet">


    <link rel="stylesheet" href="../assets/dash_assets/css/sweetalert2.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/bootstrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/icons/flags/flags.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <!-- Summernote CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/summernote/summernote-bs4.min.css">
    <!-- Datatables -->
    <link rel="stylesheet" type="text/css" href="../assets/datatable/css/datatables.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="../assets/dash_assets/js/jquery-3.6.0.min.js"></script>
</head>

<body>

    <div class="main-wrapper">

        <!-- Header -->
        <div class="header">
            <!-- Logo -->
            <div class="header-left">
                <a href="dashboard/quiz_director/dashboard.php" class="logo">
                    <img src="../assets/images/dtce.png" alt="Logo">
                </a>
                <a href="dashboard/quiz_director/dashboard.php" class="logo logo-small">
                    <img src="../assets/images/icon.png" alt="Logo" width="30" height="30">
                </a>
            </div>
            <!-- /Logo -->

            <div class="menu-toggle">
                <a href="javascript:void(0);" id="toggle_btn">
                    <i class="fas fa-bars"></i>
                </a>
            </div>

            <!-- Search Bar -->
            <div class="top-nav-search">
                <form>
                    <input type="text" class="form-control" placeholder="Search here">
                    <button class="btn" type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <!-- /Search Bar -->

            <!-- Mobile Menu Toggle -->
            <a class="mobile_btn" id="mobile_btn">
                <i class="fa fa-bars"></i>
            </a>
            <!-- /Mobile Menu Toggle -->

            <!-- Header Right Menu -->
            <ul class="nav user-menu">
                <!-- User Menu -->
                <li class="nav-item dropdown has-arrow new-user-menus">
                    <a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
                        <span class="user-img">
                            <img class="rounded-circle" src="../assets/avatar/default-avatar.png" width="31" alt="Ryan Taylor">
                            <div class="user-text">
                                <h6>DLHS/002420</h6>
                                <p class="text-muted mb-0">Guardian</p>
                            </div>
                        </span>
                    </a>

                    <a class="dropdown-item" href="../guardian/view-profile">My Profile</a>
                    <form action="../guardian/logout" method="POST">
                        <input type="hidden" name="_token" value="ty4pjDoK0nbbGpl6mXg2jFgAOu5CvJCQLcSCfcCn">
                        Logout
                        </a>
                    </form>
        </div>
        </li>
        <!-- /User Menu -->

        </ul>
        <!-- /Header Right Menu -->

    </div>
    <!-- /Header -->
    <div class="sidebar" id="sidebar">
        <div class="sidebar-inner slimscroll">
            <div id="sidebar-menu" class="sidebar-menu">
                <ul>
                    <li class="active">
                        <a href="../guardian/dashboard"><i class="fas fa-tachometer-alt"></i> <span> Dashboard</span></a>
                    </li>
                    <li class="submenu">
                        <a href="#"><i class="fas fa-graduation-cap"></i> <span>Ongoing Admissions</span> <span class="menu-arrow"></span></a>
                        <ul>
                            <li><a href="../guardian/list-admissions">List Admission</a></li>
                        </ul>
                    </li>
                    <li class="submenu">
                        <a href="#"><i class="fas fa-pen-square"></i><span>My Applications</span> <span class="menu-arrow"></span></a>
                        <ul>
                            <li><a href="../guardian/admission-applications">Admission Applications</a></li>
                        </ul>
                    </li>
                    <li class="submenu">
                        <a href="#"><i class="fas fa-credit-card"></i> <span>Payments</span> <span class="menu-arrow"></span></a>
                        <ul>
                            <li><a href="../guardian/admission-application-payments">List Payments</a></li>
                        </ul>
                    </li>
                    <li class="submenu">
                        <a href="#"><i class="fas fa-user-cog"></i> <span>My Profile</span> <span class="menu-arrow"></span></a>
                        <ul>
                            <li><a href="../guardian/view-profile">Profile Settings</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <div class="page-wrapper">

        <div class="content container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="page-sub-header">
                            <?php
                            session_start(); // Start the session

                            // Check if the region session is set
                            if (isset($_SESSION['region'])) {
                                $region = $_SESSION['region'];
                                // Assuming you have a function or method to retrieve the user's name, replace 'getUserFullName()' with the appropriate function call
                                // $userName = getUserFullName(); // Replace this with the function to get the user's name

                                // Echo the welcome message with the user's name and region
                                echo "<h3 class='page-title'>Welcome Region $region!</h3>";
                            } else {
                                // If the region session is not set, display a default welcome message
                                echo "<h3 class='page-title'>Welcome User!</h3>";
                            }
                            ?>
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="..">HOME</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
    <div class="alert alert-primary alert-dismissible fade show" role="alert">
        Your assigned Username/DLHS PIN is: <strong>DLHS/002420</strong>
    </div>

    <div class="card-text mb-3 mt-1 small alert alert-light border-danger">
        <strong>You can log in using any of the following below:</strong>
        <br>
        <?php
        session_start(); // Start the session

        // Check if the user is logged in and if the region session is set
        if (isset($_SESSION['region'])) {
            $region = $_SESSION['region'];
            echo "<span class='text-primary'>Region:</span> <span class='text-muted'>Region $region</span><br>";
        }

        // Check if the user is logged in and if the email session is set
        if (isset($_SESSION['email'])) {
            $email = $_SESSION['email'];
            echo "<span class='text-primary'>Email:</span> <span class='text-muted'>$email</span><br>";
        }
        ?>
        <span class="text-primary">DLHS PIN:</span>
        <span class="text-muted">
            DLHS/002420
            or 002420
        </span>
        <br>
        <span class="text-primary">Phone number:</span> <span class="text-muted">07066666547</span>
    </div>
</div>


            </div>
            <div class="row">
                <div class="col-xl-3 col-sm-6 col-12 d-flex">
                    <div class="card bg-comman w-100">
                        <div class="card-body">
                            <div class="db-widgets d-flex justify-content-between align-items-center">
                                <div class="db-info">
                                    <h6>Total Children/Wards</h6>
                                    <h3>0</h3>
                                </div>
                                <div class="db-icon">
                                    <img src="../assets/images/dash-icon-01.svg">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 col-sm-6 col-12 d-flex">
                    <div class="card bg-comman w-100">
                        <div class="card-body">
                            <div class="db-widgets d-flex justify-content-between align-items-center">
                                <div class="db-info">
                                    <h6>Admitted Children/Wards</h6>
                                    <h3>0</h3>
                                </div>
                                <div class="db-icon">
                                    <img src="../assets/images/dash-icon-01.svg">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 col-sm-6 col-12 d-flex">
                    <div class="card bg-comman w-100">
                        <div class="card-body">
                            <div class="db-widgets d-flex justify-content-between align-items-center">
                                <div class="db-info">
                                    <a href="../guardian/admission-application-payments">
                                        <h6>Application
                                            Payments</h6>
                                        <h3>0</h3>
                                    </a>
                                </div>
                                <div class="db-icon">
                                    <img src="../assets/images/dash-icon-01.svg">
                                </div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6 col-12 d-flex">
                    <div class="card bg-comman w-100">
                        <div class="card-body">
                            <div class="db-widgets d-flex justify-content-between align-items-center">
                                <div class="db-info">
                                    <a href="../guardian/list-admissions">
                                        <h6>Submitted Applications</h6>
                                        <h3>0</h3>
                                    </a>
                                </div>
                                <div class="db-icon">
                                    <img src="../assets/images/dash-icon-01.svg">
                                </div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="text-center mb-5 mt-2">
                <h3>First Supplementary</h3>
                <a href="../guardian/apply-for-admission/Iosngtkixui8zri8rsCU" class="btn btn-primary btn-blog mb-3 btn-lg">
                    <i class="feather-edit-3 me-1"></i> APPLY FOR ADMISSION
                </a>


                <a href="../guardian/admission-application-payments" class="btn btn-primary btn-blog mb-3 btn-lg">
                    <i class="feather-eye me-1"></i> VIEW PAYMENTS
                </a>
            </div>

            <div class="text-center mb-5 mt-2">
                <h3>First Exam</h3>
                <a href="../guardian/apply-for-admission/1wi6sdzv55p9fNr5Zea8" class="btn btn-primary btn-blog mb-3 btn-lg">
                    <i class="feather-edit-3 me-1"></i> APPLY FOR ADMISSION
                </a>


                <a href="../guardian/admission-application-payments" class="btn btn-primary btn-blog mb-3 btn-lg">
                    <i class="feather-eye me-1"></i> VIEW PAYMENTS
                </a>
            </div>


        </div>

        <!-- Modal - LOGIN INFO -->
        <div class="modal" tabindex="-1" role="dialog" id="loginInfoModal">
            <div class="modal-dialog modal-md" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Login Information</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <!-- The login information content -->
                        <div class="card-text mb-3 mt-1 small alert alert-light border-danger">
                            <p class="fs-5">
                                <strong>You can log in next time using any of the following below:</strong>
                                <br>
                                <span class="text-primary">Email:</span> <span class="text-muted">ministercajem234@gmail.com</span>
                                <br>
                                <span class="text-primary">DLHS PIN:</span>
                                <span class="text-muted">
                                    DLHS/002420
                                    or 002420
                                </span>
                                <br>
                                <span class="text-primary">Phone number:</span> <span class="text-muted">07066666547</span>
                            </p>
                        </div>

                        <!-- Note section -->
                        <div class="alert alert-info" role="alert">
                            <strong>Note:</strong> Please copy down these details for future reference.
                        </div>
                    </div>
                    <div class="modal-footer">
                        <!-- Optionally, add a "Copy to Clipboard" button -->
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <footer>
        <p>Copyright &copy; 2024 Deeper Life High School.</p>
    </footer>
    <!-- /Footer -->
    </div>
    </div>







    <!-- Bootstrap Core JS -->
    <script src="../assets/dash_assets/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Feather Icon JS -->
    <script src="../assets/dash_assets/js/feather.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="../assets/dash_assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Chart JS -->
    <script src="../assets/dash_assets/plugins/apexchart/apexcharts.min.js"></script>
    <script src="../assets/dash_assets/plugins/apexchart/chart-data.js"></script>

    <!-- summernote -->
    <script src="../assets/dash_assets/plugins/summernote/summernote-bs4.min.js"></script>
    <script src="../assets/js/ckeditor.js"></script>
    <script src="../assets/dash_assets/js/sweetalert.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
    <!-- datatable -->
    <script src="../assets/datatable/js/jquery.dataTables.min.js"></script>
    <script src="../assets/datatable/js/datatable.custom.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.flash.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.html5.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js" type="text/javascript"></script>
    <script src="//cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>
    <!-- Custom JS -->
    <script src="../assets/dash_assets/js/script.js"></script>
    <script src="../assets/js/dashboard.js?v=1"></script>
    <script src="../assets/js/datatable.js"></script>

    <script>
        $(document).ready(function() {
            // Check if it's the first-time login (you need to implement this logic)
            var isFirstTimeLogin = 1; // Replace with your actual logic

            if (isFirstTimeLogin) {
                // Show the modal on the first-time login
                $('#loginInfoModal').modal('show');

            }
        });
    </script>

</body>

</html>