$(".save_data").on("click", function (event) {
  event.preventDefault();
  var _This = $(this);
  var submitBtn = $(this);
  var actionMethod = $(this).attr("data-url");
  var btnHTML = submitBtn.html();

  submitBtn
    .html(
      '<span class="text" style="color:gold"><i class="fas fa-spinner fa-spin" style="color:gold"></i> processing...</span>'
    )
    .attr("disable", "true");

  var form = $(this).closest("form")[0];
  var formData = new FormData(form);

  // console.log(actionMethod);

  var settings = {
    url: actionMethod,
    type: "POST",
    enctype: "multipart/form-data",
    processData: false,
    contentType: false,
    cache: false,
    data: formData,
  };

  $.ajax(settings).done(function (response) {
    console.log(response);
    submitBtn.removeAttr("disable");
    submitBtn.html(btnHTML);
    if (response) {
      var responseData = response;
      if (responseData.status == "failed") {
        swal({
          title: "An error occured!",
          text: responseData.message,
          icon: "warning",
          button: "OK",
        });
      } else {
        swal({
          title: "Request Processed Successfully!",
          text: responseData.message,
          icon: "success",
          button: "OK",
        }).then(function (result) {
          if (result) {
            setTimeout(window.location.reload.bind(window.location), 300);
          } else {
            setTimeout(window.location.reload.bind(window.location), 300);
          }
        });
      }
    } else {
      console.log("An error occured");
    }
  });
});

$(".save_data_confirm").on("click", function (event) {
  event.preventDefault();
  var _This = $(this);
  var submitBtn = $(this);
  var actionMethod = $(this).attr("data-url");
  var btnHTML = submitBtn.html();

  var form = $(this).closest("form")[0];
  var formData = new FormData(form);
  $.confirm({
    title: "Confirm action!",
    content: "Are you sure you want to continue with this operation?",
    type: "blue",
    typeAnimated: true,
    buttons: {
      tryAgain: {
        text: 'Continue <i class="fas fa-check-circle"></i>',
        btnClass: "btn-danger",
        action: function () {
          submitBtn
            .html(
              '<span class="text" style="color:gold"><i class="fas fa-spinner fa-spin" style="color:gold"></i> processing...</span>'
            )
            .attr("disable", "true");

          var settings = {
            url: actionMethod,
            type: "POST",
            processData: false,
            contentType: false,
            cache: false,
            data: formData,
          };
          $.ajax(settings).done(function (response) {
            submitBtn.removeAttr("disable");
            submitBtn.html(btnHTML);
            if (response) {
              console.log(response);
              var responseData = response;
              if (responseData.status == "success") {
                swal({
                  title: "Request Processed Successfully!",
                  text: responseData.message,
                  icon: "success",
                  button: "OK",
                }).then(function (result) {
                  if (result) {
                    setTimeout(
                      window.location.reload.bind(window.location),
                      300
                    );
                  } else {
                    setTimeout(
                      window.location.reload.bind(window.location),
                      300
                    );
                  }
                });
              } else {
                console.log(response);
                swal({
                  title: "An error occured!",
                  text: responseData.message,
                  icon: "warning",
                  button: "OK",
                });
              }
            } else {
              console.log("An error occured");
            }
          });
          // return false;
        },
      },
      close: function () {},
    },
  });
});

$(".apply_admission").on("click", function (event) {
  event.preventDefault();
  var _This = $(this);
  var submitBtn = $(this);
  var actionMethod = $(this).attr("data-url");
  var btnHTML = submitBtn.html();

  submitBtn
    .html(
      '<span class="text" style="color:gold"><i class="fas fa-spinner fa-spin" style="color:gold"></i> processing...</span>'
    )
    .attr("disable", "true");

  var form = $(this).closest("form")[0];
  var formData = new FormData(form);

  var settings = {
    url: actionMethod,
    type: "POST",
    processData: false,
    contentType: false,
    cache: false,
    data: formData,
  };

  $.ajax(settings).done(function (response) {
    submitBtn.removeAttr("disable");
    submitBtn.html(btnHTML);
    if (response) {
      var responseData = response;
      if (responseData.status == "failed") {
        swal({
          title: "An error occured!",
          text: responseData.message,
          icon: "warning",
          button: "OK",
        });
      } else {
        redirectUrl = responseData.data;
        console.log(redirectUrl);
        swal({
          title: "Request Processed Successfully!",
          text: responseData.message,
          icon: "success",
          button: "OK",
        }).then(function (result) {
          if (result) {
            setTimeout((window.location.href = redirectUrl), 300);
          } else {
            setTimeout((window.location.href = redirectUrl), 300);
          }
        });
      }
    } else {
      console.log("An error occured");
    }
  });
});

$(".bulk_action").on("click", function (event) {
  event.preventDefault();
  var _This = $(this);
  var submitBtn = $(this);
  var actionMethod = $(this).attr("data-url");
  var btnHTML = submitBtn.html();

  var form = $(this).closest("form")[0];
  var formData = new FormData(form);

  var settings = {
    url: actionMethod,
    type: "POST",
    processData: false,
    contentType: false,
    cache: false,
    data: formData,
  };

  var obj = {};
  obj.regID = $("input[name=application_id]:checked")
    .map(function () {
      return this.value;
    })
    .get();

  formData.append("application_id", obj.regID);
  console.log(obj.regID);
  $.confirm({
    title: "Confirm action!",
    content: "Are you sure you want to continue with this operation?",
    type: "blue",
    typeAnimated: true,
    buttons: {
      tryAgain: {
        text: 'Continue <i class="fas fa-check-circle"></i>',
        btnClass: "btn-danger",
        action: function () {
          submitBtn
            .html(
              '<span class="text" style="color:gold"><i class="fas fa-spinner fa-spin" style="color:gold"></i> processing...</span>'
            )
            .attr("disable", "true");

          var settings = {
            url: actionMethod,
            type: "POST",
            processData: false,
            contentType: false,
            cache: false,
            data: formData,
          };
          $.ajax(settings).done(function (response) {
            submitBtn.removeAttr("disable");
            submitBtn.html(btnHTML);
            if (response) {
              console.log(response);
              var responseData = response;
              if (responseData.status == "success") {
                swal({
                  title: "Request Processed Successfully!",
                  text: responseData.message,
                  icon: "success",
                  button: "OK",
                }).then(function (result) {
                  if (result) {
                    setTimeout(
                      window.location.reload.bind(window.location),
                      300
                    );
                  } else {
                    setTimeout(
                      window.location.reload.bind(window.location),
                      300
                    );
                  }
                });
              } else {
                console.log(response);
                swal({
                  title: "An error occured!",
                  text: responseData.message,
                  icon: "warning",
                  button: "OK",
                });
              }
            } else {
              console.log("An error occured");
            }
          });
          // return false;
        },
      },
      close: function () {},
    },
  });
});

$(".staff_type").on("change", function (event) {
  event.preventDefault();
  var type = $(".staff_type").val();
  if (type == 1) {
    $(".campuses").removeClass("d-none");
    $(".exam_center").addClass("d-none");
  } else if (type == 2) {
    $(".campuses").removeClass("d-none");
    $(".exam_center").removeClass("d-none");
  } else {
    $(".campuses").addClass("d-none");
    $(".exam_center").addClass("d-none");
  }
});

$("#fChoice").change(function () {
  var url = $(this).attr("data-url");
  var campusID = {
    fcid: $(this).val(),
  };

  var campusData = $.extend(true, {}, campusID);
  var settings = {
    url: url,
    method: "GET",
    headers: {
      "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
      "Content-Type": "application/x-www-form-urlencoded",
      Accept: "*/*",
      "cache-control": "no-cache",
    },
    data: campusData,
  };
  $.ajax(settings).done(function (response) {
    var responseData = response;
    console.log(responseData);
    if (responseData.status == "success") {
      $("#sChoice").empty();
      $("#sChoice").append(
        '<option value="">' + "Select second choice campus" + "</option>"
      );
      var length = responseData.data.length;
      var row = 0;
      for (var i = 0; i < length; i++) {
        row = responseData.data[i];
        $("#sChoice").append(
          '<option value="' +
            row["id"] +
            '">' +
            row["campus_name"] +
            "</option>"
        );
      }
    } else {
      $("#sChoice").empty();
      $("#sChoice").append(
        '<option value="">' + "No campus available at the moment" + "</option>"
      );
    }
  });
});

$("#sChoice").change(function () {
  var url = $(this).attr("data-url");
  var campusID = {
    fcid: $("#fChoice").val(),
    scid: $(this).val(),
  };

  var campusData = $.extend(true, {}, campusID);
  var settings = {
    url: url,
    method: "GET",
    headers: {
      "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
      "Content-Type": "application/x-www-form-urlencoded",
      Accept: "*/*",
      "cache-control": "no-cache",
    },
    data: campusData,
  };
  $.ajax(settings).done(function (response) {
    var responseData = response;
    console.log(responseData);
    if (responseData.status == "success") {
      $("#tChoice").empty();
      $("#tChoice").append(
        '<option value="">' + "Select third choice campus" + "</option>"
      );
      var length = responseData.data.length;
      var row = 0;
      for (var i = 0; i < length; i++) {
        row = responseData.data[i];
        $("#tChoice").append(
          '<option value="' +
            row["id"] +
            '">' +
            row["campus_name"] +
            "</option>"
        );
      }
    } else {
      $("#tChoice").empty();
      $("#tChoice").append(
        '<option value="">' + "No campus available at the moment" + "</option>"
      );
    }
  });
});

$(".submit_application_form_confirm").on("click", function (event) {
  event.preventDefault();
  var _This = $(this);
  var submitBtn = $(this);
  var actionMethod = $(this).attr("data-url");
  var btnHTML = submitBtn.html();

  var form = $(this).closest("form")[0];
  var formData = new FormData(form);
  $.confirm({
    title: "Confirm action!",
    content: "Are you sure you want to continue with this operation?",
    type: "blue",
    typeAnimated: true,
    buttons: {
      tryAgain: {
        text: 'Continue <i class="fas fa-check-circle"></i>',
        btnClass: "btn-danger",
        action: function () {
          submitBtn
            .html(
              '<span class="text" style="color:gold"><i class="fas fa-spinner fa-spin" style="color:gold"></i> processing...</span>'
            )
            .attr("disable", "true");

          var settings = {
            url: actionMethod,
            type: "POST",
            processData: false,
            contentType: false,
            cache: false,
            data: formData,
          };
          $.ajax(settings).done(function (response) {
            submitBtn.removeAttr("disable");
            submitBtn.html(btnHTML);
            if (response) {
              console.log(response);
              var responseData = response;
              if (responseData.status == "success") {
                var url = responseData.data;
                swal({
                  title: "Request Processed Successfully!",
                  text: responseData.message,
                  icon: "success",
                  button: "OK",
                }).then(function (result) {
                  if (result) {
                    setTimeout((window.location.href = url), 300);
                  } else {
                    setTimeout((window.location.href = url), 300);
                  }
                });
              } else {
                console.log(response);
                swal({
                  title: "An error occured!",
                  text: responseData.message,
                  icon: "warning",
                  button: "OK",
                });
              }
            } else {
              console.log("An error occured");
            }
          });
          // return false;
        },
      },
      close: function () {},
    },
  });
});

$("#campus_id").on("change", function () {
  var url = $("#campus_id").attr("data-url");
  var campusID = {
    campus_id: $(this).val(),
  };
  console.log(url);
  var campusData = $.extend(true, {}, campusID);
  var settings = {
    url: url,
    method: "GET",
    headers: {
      "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
      "Content-Type": "application/x-www-form-urlencoded",
      Accept: "*/*",
      "cache-control": "no-cache",
    },
    data: campusData,
  };
  $.ajax(settings).done(function (response) {
    var responseData = response;
    console.log(responseData);
    if (responseData.status == "success") {
      $("#exam_centre").empty();
      $("#exam_centre").append(
        '<option value="">' + "Select Exam Centre" + "</option>"
      );
      var length = responseData.data.length;
      var row = 0;
      for (var i = 0; i < length; i++) {
        row = responseData.data[i];
        $("#exam_centre").append(
          '<option value="' +
            row["id"] +
            '">' +
            row["center_name"] +
            "-" +
            row["center_state"] +
            "(" +
            row["center_address"] +
            ")</option>"
        );
      }
    } else {
      $("#exam_centre").empty();
      $("#exam_centre").append(
        '<option value="">' +
          "No exam centre available at the moment" +
          "</option>"
      );
    }
  });
});
