<?php
session_start();
include('../../conn.php');

// Check if the user is logged in
if (!isset($_SESSION['username'])) {
    header('Location: ../../login.php');
    exit();
}

// Prepare the SQL query to fetch all participants
$stmt = $conn->prepare("SELECT regid, firstname, lastname, region, province, age, gender, gameevent, agecategory, passport, birth_certificate, status, reason FROM paticipants");
$stmt->execute();

// Fetch all participants from the database
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Set headers to download the CSV file
header('Content-Type: text/csv');
header('Content-Disposition: attachment; filename="participants_list.csv"');

// Open a PHP output stream for the file
$output = fopen('php://output', 'w');

// Write the CSV column headers (this matches your table columns)
$columns = ['ID', 'First Name', 'Last Name', 'Region', 'Province', 'Age', 'Gender', 'Game Event', 'Age Category', 'Passport', 'Birth Certificate', 'Status', 'Reason'];
fputcsv($output, $columns);

// Write the participant data rows to the CSV
foreach ($participants as $participant) {
    $row = [
        $participant['regid'],
        $participant['firstname'],
        $participant['lastname'],
        $participant['region'],
        $participant['province'],
        $participant['age'],
        $participant['gender'],
        $participant['gameevent'],
        $participant['agecategory'],
        $participant['passport'] ? 'Uploaded' : 'Not Uploaded',
        $participant['birth_certificate'] ? 'Uploaded' : 'Not Uploaded',
        $participant['status'],
        $participant['reason']
    ];
    fputcsv($output, $row);
}

// Close the output stream
fclose($output);
exit();
?>
