<?php
session_start();
include('../../conn.php');

// Get the request parameters
$draw = $_GET['draw'];
$start = $_GET['start'];
$length = $_GET['length'];
$searchValue = $_GET['search']['value'];

// Construct the query
$query = "SELECT regid, firstname, lastname, region, province, dob, age, agecategory, status FROM paticipants";

// Apply search filter if provided
if (!empty($searchValue)) {
    $query .= " WHERE firstname LIKE '%".$searchValue."%' OR lastname LIKE '%".$searchValue."%' OR region LIKE '%".$searchValue."%' OR province LIKE '%".$searchValue."%'";
}

// Get the total number of records without filtering
$stmt = $conn->query("SELECT COUNT(*) AS total FROM participants");
$totalRecords = $stmt->fetch(PDO::FETCH_ASSOC)['total'];

// Get the total number of records with filtering
$stmt = $conn->query($query);
$totalFilteredRecords = $stmt->rowCount();

// Add limit and offset for pagination
$query .= " LIMIT ".$start.", ".$length;

$stmt = $conn->query($query);
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Prepare the data for DataTables
$data = array();
foreach ($participants as $participant) {
    $row = array();
    $row[] = $participant['regid'];
    $row[] = $participant['firstname'];
    $row[] = $participant['lastname'];
    $row[] = $participant['region'];
    $row[] = $participant['province'];
    $row[] = $participant['dob'];
    $row[] = $participant['age'].' Years';
    $row[] = $participant['agecategory'];
    $row[] = $participant['status'];
    $row[] = '<button type="button" class="btn btn-success accept-btn" data-regid="'.$participant['regid'].'">Accept</button>
              <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#rejectModal'.$participant['regid'].'">Reject</button>';
    $data[] = $row;
}

// Return the JSON response
$response = array(
    "draw" => intval($draw),
    "recordsTotal" => intval($totalRecords),
    "recordsFiltered" => intval($totalFilteredRecords),
    "data" => $data
);

echo json_encode($response);
?>
