<?php
session_start();

include('../../conn.php');

if (!isset($_SESSION['username'])) {
    header('Location: ../../login.php');
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="Education resources Department" content="DTCE">
    <meta name="description" content="Education resources Department">
    <meta name="keywords" content="Education resources Department">
    <meta name="author" content="Hi-Dev Solutions">
    <title>National Sport-Director's Dashboard</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="../../assets/images/icon2.png">
 <!-- Feathericon CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/icons/flags/flags.css">
 <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&display=swap" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"> <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Custom CSS -->
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <link rel="stylesheet" href="../assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="../../assets/dash_assets/js/jquery-3.6.0.min.js"></script>
</head>

<body>

    <div class="main-wrapper">

        <!-- Header -->
        <div class="header">
            <!-- Logo -->
            <div class="header-left">
                <a href="../assets/images/dtce.png" class="logo">
                    <img src="../assets/images/dtce.png" alt="Logo">
                </a>
                <a href="../assets/images/icon.png" class="logo logo-small">
                    <img src="../assets/images/icon.png" alt="Logo" width="30" height="30">
                </a>
            </div>
            <!-- /Logo -->

            <div class="menu-toggle">
                <a href="javascript:void(0);" id="toggle_btn">
                    <i class="fas fa-bars"></i>
                </a>
            </div>

            <!-- Search Bar -->
            <div class="top-nav-search">
                <form>
                    <input type="text" class="form-control" placeholder="Search here">
                    <button class="btn" type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <!-- /Search Bar -->

            <!-- Mobile Menu Toggle -->
            <a class="mobile_btn" id="mobile_btn">
                <i class="fas fa-bars"></i>
            </a>
            <!-- /Mobile Menu Toggle -->

            <!-- Header Right Menu -->
            <ul class="nav user-menu">
                <!-- User Menu -->
                <li class="nav-item dropdown has-arrow new-user-menus">
                    <a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
                        <span class="user-img">
                            <img class="rounded-circle" src="../assets/images/icon.png" width="31" alt="director logo">
                            <div class="user-text">
                                <?php
                                $username = isset($_SESSION['username']) ? $_SESSION['username'] : '';
                                $currentYear = date("Y");
                                $username = str_pad($username, 2, '0', STR_PAD_LEFT); // Add leading zero for single-digit regions
                                $upperusername = strtoupper($username);
                                echo "<h6>SPORTADMIN/{$currentYear}{$upperusername}</h6>";
                                ?>
                                <p class="text-muted mb-0">NATIONAL SPORT DIRECTOR</p>
                            </div>
                        </span>
                    </a>
                    <div class="dropdown-menu">
                        <a class="dropdown-item" href="../quiz_director/view_profile.php">My Profile</a>
                        <form action="../../logout.php" method="POST">
                            <input type="hidden" name="_token"> <a class="dropdown-item" href="route('../../../../logout.php')" onclick="event.preventDefault(); this.closest('form').submit();">Logout</a>
                        </form>
                    </div>
                </li>
                <!-- /User Menu -->
            </ul>
            <!-- /Header Right Menu -->
        </div>
        <!-- /Header -->
        
        <div class="sidebar" id="sidebar">
            <div class="sidebar-inner slimscroll">
                <div id="sidebar-menu" class="sidebar-menu">
                    <ul>
                        <li class="active">
                            <a href="./dashboard.php"><i class="fas fa-tachometer-alt"></i> <span>Dashboard</span></a>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-trophy"></i> <span>Ongoing Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./list_competitions.php">List of Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-pen-square"></i><span>My Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="#">New Application</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-users"></i> <span>Approved Participants</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./payment.php">List of Approved Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-user-cog"></i> <span>My Profile</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./view_profile.php">Profile Settings</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="page-wrapper">
            <div class="content container-fluid">
                <div class="page-header">
                    <div class="row">
                        <div class="col">
                            <h3 class="page-title">Ongoing Registration</h3>
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="../../dashboard/quiz_director/dashboard.php">Dashboard</a></li>
                                <li class="breadcrumb-item active">Ongoing Registration</li>
                            </ul>
                        </div>
                    </div>
                </div>
                
                <?php
                $stmt = $conn->prepare("SELECT regid, firstname, lastname, region, province, age, gender, gameevent,agecategory,passport, birth_certificate, status, reason FROM paticipants");
                $stmt->execute();
                $participants = $stmt->fetchAll(PDO::FETCH_ASSOC);
                ?>
<div class="container mt-5">
    <h2>Bulk CSV Approval</h2>
    <form method="POST" action="update_status.php" enctype="multipart/form-data">
        <label for="csv_file">Upload CSV File</label>
        <input type="file" name="csv_file" id="csv_file" accept=".csv" required>
        <br>
        <button type="submit" class="btn btn-primary mt-3">Upload and Approve</button>
    </form>
</div>
<br>
              <div class="row">
    <div class="col-sm-12">
        <div class="card">
            <div class="card-header">
                <div class="row py-3">
                    <div class="col-lg-10">
                        <h5 class="card-title mb-2">List of Registered Participants</h5>
                    </div>
                    <div class="col-lg-2 text-end">
                        <!-- Add Export Button -->
                        <a href="export_csv.php" class="btn btn-success">Export to CSV</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="participantTable">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Region</th>
                                <th>Province</th>
                                <th>Age</th>
                                <th>Gender</th>
                                <th>Game Event</th>
                                <th>Age Category</th>
                                <th>Passport</th>
                                <th>Birth Certificate</th>
                                <th>Status</th>
                                <th>Reason</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($participants as $participant) : ?>
                                <tr>
                                    <td><?php echo $participant['regid']; ?></td>
                                    <td><?php echo $participant['firstname']; ?></td>
                                    <td><?php echo $participant['lastname']; ?></td>
                                    <td><?php echo $participant['region']; ?></td>
                                    <td><?php echo $participant['province']; ?></td>
                                    <td><?php echo $participant['age']; ?> Years</td>
                                    <td><?php echo $participant['gender']; ?></td>
                                    <td><?php echo $participant['gameevent']; ?></td>
                                    <td><?php echo $participant['agecategory']; ?></td>
                                    <td>
                                        <button type="button" class="btn btn-link" data-toggle="modal" data-target="#passportModal" data-image-src="../../../passport/<?php echo $participant['passport']; ?>">
                                            View
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-link" data-toggle="modal" data-target="#certificateModal" data-image-src="../../../certificate/<?php echo $participant['birth_certificate']; ?>">
                                            View
                                        </button>
                                    </td>
                                    <td><?php echo $participant['status']; ?></td>
                                    <td><?php echo $participant['reason']; ?></td>
                                    <td>
                                        <button type="button" class="btn btn-success accept-btn" data-regid="<?php echo $participant['regid']; ?>" data-toggle="modal" data-target="#acceptModal">
                                            Approve
                                        </button>
                                        <button type="button" class="btn btn-danger reject-btn" data-regid="<?php echo $participant['regid']; ?>" data-toggle="modal" data-target="#rejectModal">
                                            Reject
                                        </button>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

                <!-- Passport Image Modal -->
                <div class="modal fade" id="passportModal" tabindex="-1" role="dialog" aria-labelledby="passportModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="passportModalLabel">Passport Image</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <img id="passportImage" src="" class="img-fluid" alt="Passport Image">
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Certificate Image Modal -->
                <div class="modal fade" id="certificateModal" tabindex="-1" role="dialog" aria-labelledby="certificateModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="certificateModalLabel">Birth Certificate Image</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <img id="certificateImage" src="" class="img-fluid" alt="Birth Certificate Image">
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Accept Modal -->
                <div class="modal fade" id="acceptModal" tabindex="-1" role="dialog" aria-labelledby="acceptModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="acceptModalLabel">Accept Participant</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form id="acceptForm">
                                    <input type="hidden" name="regid" id="acceptRegid">
                                    <div class="form-group">
                                        <label for="reason">Reason for Acceptance (Optional)</label>
                                        <textarea class="form-control" id="reason" name="reason"></textarea>
                                    </div>
                                    <button type="submit" class="btn btn-success">Accept</button>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Reject Modal -->
                <div class="modal fade" id="rejectModal" tabindex="-1" role="dialog" aria-labelledby="rejectModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="rejectModalLabel">Reject Participant</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form id="rejectForm">
                                    <input type="hidden" name="regid" id="rejectRegid">
                                    <div class="form-group">
                                        <label for="reason">Reason for Rejection</label>
                                        <textarea class="form-control" id="reason" name="reason" required></textarea>
                                    </div>
                                    <button type="submit" class="btn btn-danger">Reject</button>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#participantTable').DataTable();

            $('#passportModal').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget);
                var imageSrc = button.data('image-src');
                var modal = $(this);
                modal.find('#passportImage').attr('src', imageSrc);
            });

            $('#certificateModal').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget);
                var imageSrc = button.data('image-src');
                var modal = $(this);
                modal.find('#certificateImage').attr('src', imageSrc);
            });

            $('#acceptModal').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget);
                var regid = button.data('regid');
                var modal = $(this);
                modal.find('#acceptRegid').val(regid);
            });

            $('#rejectModal').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget);
                var regid = button.data('regid');
                var modal = $(this);
                modal.find('#rejectRegid').val(regid);
            });

            $('#acceptForm').submit(function(event) {
                event.preventDefault();
                var formData = $(this).serialize();
                $.ajax({
                    type: 'POST',
                    url: 'update_status.php',
                    data: formData,
                    success: function(response) {
                        location.reload();
                    }
                });
            });

            $('#rejectForm').submit(function(event) {
                event.preventDefault();
                var formData = $(this).serialize();
                $.ajax({
                    type: 'POST',
                    url: 'update_reason.php',
                    data: formData,
                    success: function(response) {
                        location.reload();
                    }
                });
            });
        });
    </script>
 <!-- Feather Icon JS -->
                        <script src="../assets/dash_assets/js/feather.min.js"></script>

                        <!-- Slimscroll JS -->
                        <script src="../assets/dash_assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>

                        <!-- Chart JS -->
                        <script src="../dash_assets/plugins/apexchart/apexcharts.min.js"></script>
                        <script src="../dash_assets/plugins/apexchart/chart-data.js"></script>
 <!-- summernote -->
                        <script src="../assets/dash_assets/plugins/summernote/summernote-bs4.min.js"></script>
                        <script src="../assets/js/ckeditor.js"></script>
                        <script src="../assets/dash_assets/js/sweetalert.min.js"></script>
                        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
                        <!-- datatable -->
                        <script src="../assets/datatable/js/jquery.dataTables.min.js"></script>
                        <script src="../assets/datatable/js/datatable.custom.js"></script>
                        <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js" type="text/javascript"></script>
                        <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js" type="text/javascript"></script>
                        <script src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js" type="text/javascript"></script>
                        <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.flash.min.js" type="text/javascript"></script>
                        <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
                        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
                        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
                        <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.html5.min.js" type="text/javascript"></script>
                        <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js" type="text/javascript"></script>
                        <script src="//cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>
                        <!-- Custom JS -->
                        <script src="../assets/dash_assets/js/script.js"></script>
                        <script src="../assets/js/dashboard.js"></script>
                        <script src="../assets/js/datatable.js"></script>

                        <script>
                            $(document).ready(function() {
                                // Check if it's the first-time login (you need to implement this logic)
                                var isFirstTimeLogin = 1; // Replace with your actual logic

                                if (isFirstTimeLogin) {
                                    // Show the modal on the first-time login
                                    $('#loginInfoModal').modal('show');

                                }
                            });
                        </script>
                        <script>
    // Set the inactivity timeout in milliseconds (10 minutes in this case)
    var inactivityTimeout = 600000; // 10 minutes

    var timeout;

    // Reset the timer on user activity
    function resetTimer() {
        clearTimeout(timeout);
        timeout = setTimeout(function() {
            // Redirect the user to the logout page after inactivity
            window.location.href = '../../logout.php';
        }, inactivityTimeout);
    }

    // Add event listeners for user activity (e.g., mousemove, keypress)
    document.addEventListener('mousemove', resetTimer);
    document.addEventListener('keypress', resetTimer);

    // Start the timer when the page loads
    resetTimer();
</script>
</body>

</html>
