<?php
session_start();

include('../../conn.php');

if (!isset($_SESSION['username'])) {
    header('Location: ../../index.php');
    exit();
}

// $successMessage = isset($_GET['successMessage']) ? urldecode($_GET['successMessage']) : '';


// $username = $_SESSION['username'];

// Prepare and execute a SQL query to count the teacher ID cards for the given province

// Define SQL queries
$sqlCounts = [
    "total" => "SELECT COUNT(*) as total FROM paticipants",
    "maleCount" => "SELECT COUNT(*) as maleCount FROM paticipants WHERE gender = 'Male'",
    "femaleCount" => "SELECT COUNT(*) as femaleCount FROM paticipants WHERE gender = 'Female'",
    "activatedCount" => "SELECT COUNT(*) as activatedCount FROM paticipants WHERE status = 'Approved'",
    "processingCount" => "SELECT COUNT(*) as processingCount FROM paticipants WHERE status = 'Pending'",
    "lowerjunior" => "SELECT COUNT(*) as lowerjunior FROM paticipants WHERE agecategory = 'Age 6-8 Years'",
    "upperjunior" => "SELECT COUNT(*) as upperjunior FROM paticipants WHERE agecategory = 'Age 9-12 Years'",
    "lowerteens" => "SELECT COUNT(*) as lowerteens FROM paticipants WHERE agecategory = 'Age 13-15 Years'",
    "upperteens" => "SELECT COUNT(*) as upperteens FROM paticipants WHERE agecategory = 'Age 16-19 Years'"
];
// Execute queries and fetch results
$results = [];
foreach ($sqlCounts as $key => $sql) {
    $stmt = $conn->prepare($sql);
    // Uncomment and bind parameters if needed
    // $stmt->bindParam(':region', $region);
    $stmt->execute();
    $results[$key] = $stmt->fetchColumn(); // Fetch only the count
}

// // Output the results
// echo "Total Participants: " . $results['total'] . "<br>";
// echo "Male Participants: " . $results['maleCount'] . "<br>";
// echo "Female Participants: " . $results['femaleCount'] . "<br>";
// echo "Activated Participants: " . $results['activatedCount'] . "<br>";
// echo "Participants in Processing: " . $results['processingCount'] . "<br>";
// echo "Lower Junior Participants: " . $results['lowerjunior'] . "<br>";
// echo "Upper Junior Participants: " . $results['upperjunior'] . "<br>";
// echo "Lower Teens Participants: " . $results['lowerteens'] . "<br>";
// echo "Upper Teens Participants: " . $results['upperteens'] . "<br>";
?>





<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="National Sport Department" content="DTCE">
    <meta name="description" content="National Sport Department">
    <meta name="keywords" content="National Sport Department">
    <meta name="author" content="Hi-Dev Solutions">
    <title> National Sport-Director's Dashboard</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="../../assets/images/icon2.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&display=swap" rel="stylesheet">


    <link rel="stylesheet" href="../../assets/dash_assets/css/sweetalert2.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/boostrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/icons/flags/flags.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
    <!-- Summernote CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/summernote/summernote-bs4.min.css">
    <!-- Datatables -->
    <link rel="stylesheet" type="text/css" href="../../assets/datatable/css/datatables.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="../../assets/dash_assets/js/jquery-3.6.0.min.js"></script>
</head>

<body>

    <div class="main-wrapper">

        <!-- Header -->
        <div class="header">
            <!-- Logo -->
            <div class="header-left">
                <a href="../assets/images/dtce.png" class="logo">
                    <img src="../assets/images/dtce.png" alt="Logo">
                </a>
                <a href="../assets/images/icon.png" class="logo logo-small">
                    <img src="../assets/images/icon.png" alt="Logo" width="30" height="30">
                </a>
            </div>
            <!-- /Logo -->

            <div class="menu-toggle">
                <a href="javascript:void(0);" id="toggle_btn">
                    <i class="fas fa-bars"></i>
                </a>
            </div>

            <!-- Search Bar -->
            <div class="top-nav-search">
                <form>
                    <input type="text" class="form-control" placeholder="Search here">
                    <button class="btn" type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <!-- /Search Bar -->

            <!-- Mobile Menu Toggle -->
            <a class="mobile_btn" id="mobile_btn">
                <i class="fas fa-bars"></i>
            </a>
            <!-- /Mobile Menu Toggle -->

            <!-- Header Right Menu -->
            <ul class="nav user-menu">
                <!-- User Menu -->
                <li class="nav-item dropdown has-arrow new-user-menus">
                    <a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
                        <span class="user-img">
                            <img class="rounded-circle" src="../assets/images/icon.png" width="31" alt="director logo">
                            <div class="user-text">
                                <?php
                                // Get the region from the session
                                $username = isset($_SESSION['username']) ? $_SESSION['username'] : '';

                                // Get the current year
                                $currentYear = date("Y");

                                // Generate the region number with the desired format
                                $username = str_pad($username, 2, '0', STR_PAD_LEFT); // Add leading zero for single-digit regions
                                $upperusername = strtoupper($username);
                                // Output the region number in the desired format
                                echo "<h6>ERDADMIN/{$currentYear}{$upperusername}</h6>";
                                ?>
                                <p class="text-muted mb-0">NATIONAL QUIZ DIRECTOR</p>
                            </div>
                        </span>

                    </a>
                    <div class="dropdown-menu">
                        <!-- <div class="user-header">
                            <div class="avatar avatar-sm">
                                <img src="../assets/avatar/default-avatar.png" alt="User Image" class="avatar-img rounded-circle">
                            </div>
                            <div class="user-text">
                                <h6>ERD/</h6>
                                <p class="text-muted mb-0">Quiz Director</p>
                            </div>
                        </div> -->
                        <a class="dropdown-item" href="../quiz_director/view_profile.php">My Profile</a>
                        <form action="../../logout.php" method="POST">
                            <input type="hidden" name="_token"> <a class="dropdown-item" href="route('../../../../logout.php')" onclick="event.preventDefault(); this.closest('form').submit();">
                                Logout
                            </a>
                        </form>
                    </div>
                </li>
                <!-- /User Menu -->

            </ul>
            <!-- /Header Right Menu -->

        </div>
        <!-- /Header -->
        <div class="sidebar" id="sidebar">
            <div class="sidebar-inner slimscroll">
                <div id="sidebar-menu" class="sidebar-menu">
                    <ul>
                        <li class="active">
                            <a href="./dashboard.php"><i class="fas fa-tachometer-alt"></i> <span> Dashboard</span></a>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-trophy"></i> <span>Ongoing Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./list_competitions.php">List of Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-pen-square"></i><span>My Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="#">New Application</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-users"></i> <span>Approved Participants</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./payment.php">List of Approved Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-user-cog"></i> <span>My Profile</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./view_profile.php">Profile Settings</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="page-wrapper">

            
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row">
                <div class="col">
                    <h3 class="page-title">All Approved Participants Application Records</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="../quiz_director/dashboard.php">Dashboard</a></li>
                        <li class="breadcrumb-item active">All Participants Application Records</li>
                    </ul>
                </div>
            </div>
        </div>
      
            <?php
// Assuming $conn is your database connection object
$stmt = $conn->prepare("SELECT regid, firstname, lastname, zone, region, province, dob, age, gender, gametype, gameevent, agecategory, status FROM paticipants WHERE status = 'Approved'");
$stmt->execute();
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<div class="row">
    <div class="col-sm-12">
        <div class="card">
            <div class="card-header">
                <div class="row py-3">
                    <div class="col-lg-10">
                        <h5 class="card-title mb-2">List of Approved Participants</h5>
                    </div>
                    <div class="col-lg-2 text-right">
                        <button type="button" class="btn btn-info export-csv">Export CSV</button>
                        <button type="button" class="btn btn-secondary print">Print</button>
                    </div>
                </div>
            </div>
            <div class="card-body">
    <div class="table-responsive">
        <table class="table table-stripped" id="table5">
            <thead>
                <tr>
                <th>Reg ID</th>
                                                <th>First Name</th>
                                                <th>Last Name</th>
                                                <th>Zone</th>
                                                <th>Region</th>
                                                <th>Province</th>
                                                <th>Date Of Birth</th>
                                                <th>Age</th>
                                                <th>Gender</th>
                                                <th>Game Type</th>
                                                <th>Game Event</th>
                                                <th>Age Category</th>
                                                <th>Status</th>
                                                
                </tr>
            </thead>
            <tbody>
                <?php foreach ($participants as $participant) : ?>
                    <tr>
                    <td><?php echo $participant['regid']; ?></td>
                                                    <td><?php echo $participant['firstname']; ?></td>
                                                    <td><?php echo $participant['lastname']; ?></td>
                                                    <td><?php echo $participant['zone']; ?></td>
                                                    <td><?php echo $participant['region']; ?></td>
                                                    <td><?php echo $participant['province']; ?></td>
                                                    <td><?php echo $participant['dob']; ?></td>
                                                    <td><?php echo $participant['age']; ?>Years</td>
                                                    <td><?php echo $participant['gender']; ?></td>
                                                    <td><?php echo $participant['gametype']; ?></td>
                                                    <td><?php echo $participant['gameevent']; ?></td>
                                                    <td><?php echo $participant['agecategory']; ?></td>
                                                    <td><?php echo $participant['status']; ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>
<!-- <div class="card-footer">
    <button type="button" class="btn btn-info export-csv">Export CSV</button>
    <button type="button" class="btn btn-secondary print">Print</button>
</div> -->

<script>
    // Function to handle export to CSV
    function exportTableToCSV() {
        var table = document.getElementById('table5');
        var csvContent = "data:text/csv;charset=utf-8,";

        // Add column headers to CSV content
        var headers = Array.from(table.querySelectorAll('thead th')).map(th => th.textContent.trim());
        csvContent += headers.join(',') + '\n';

        // Add table rows to CSV content
        var rows = Array.from(table.querySelectorAll('tbody tr')).map(row => Array.from(row.cells).map(cell => cell.textContent.trim()).join(','));
        csvContent += rows.join('\n');

        // Trigger file download
        var encodedUri = encodeURI(csvContent);
        var link = document.createElement("a");
        link.setAttribute("href", encodedUri);
        link.setAttribute("download", "Approved Participants.csv");
        document.body.appendChild(link);
        link.click();
    }

    // Function to handle printing the table
function printTable() {
    var tableContent = document.getElementById('table5').outerHTML;
    var printWindow = window.open('', '_blank');
    printWindow.document.write('<html><head><title>Print Table</title></head><body>');
    printWindow.document.write(tableContent);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();
}

// Event listener for export button click
document.querySelector('.export-csv').addEventListener('click', function() {
    exportTableToCSV();
});

// Event listener for print button click
document.querySelector('.print').addEventListener('click', function() {
    printTable();
});

</script>


<footer class="text-center">

<p id="copyright"></p>

</footer>

<script>
// Get the current year
const currentYear = new Date().getFullYear();

// Update the footer text
document.getElementById("copyright").textContent = `Copyright © ${currentYear} RCCG DTCE | National Sport DEPARTMENT`;
</script>
		
				<!-- /Footer -->
        </div>
    </div>







    <!-- Bootstrap Core JS -->
    <script src="../assets/dash_assets/plugins/boostrap/js/bootstrap.bundle.min.js"></script>

    <!-- Feather Icon JS -->
    <script src="../assets/dash_assets/js/feather.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="../assets/dash_assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Chart JS -->
    <script src="../assets/dash_assets/plugins/apexchart/apexcharts.min.js"></script>
    <script src="../assets/dash_assets/plugins/apexchart/chart-data.js"></script>

    <!-- summernote -->
    <script src="../assets/dash_assets/plugins/summernote/summernote-bs4.min.js"></script>
    <script src="../assets/js/ckeditor.js"></script>
    <script src="../assets/dash_assets/js/sweetalert.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
    <!-- datatable -->
    <script src="../assets/datatable/js/jquery.dataTables.min.js"></script>
    <script src="../assets/datatable/js/datatable.custom.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.flash.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.html5.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js" type="text/javascript"></script>
    <script src="//cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>
    <!-- Custom JS -->
    <script src="../assets/dash_assets/js/script.js"></script>
    <script src="../assets/js/dashboard.js?v=1"></script>
    <script src="../assets/js/datatable.js"></script>
    <script>
    // Set the inactivity timeout in milliseconds (10 minutes in this case)
    var inactivityTimeout = 600000; // 10 minutes

    var timeout;

    // Reset the timer on user activity
    function resetTimer() {
        clearTimeout(timeout);
        timeout = setTimeout(function() {
            // Redirect the user to the logout page after inactivity
            window.location.href = '../../logout.php';
        }, inactivityTimeout);
    }

    // Add event listeners for user activity (e.g., mousemove, keypress)
    document.addEventListener('mousemove', resetTimer);
    document.addEventListener('keypress', resetTimer);

    // Start the timer when the page loads
    resetTimer();
</script>

<!-- <script>
    // Function to handle export to CSV
function exportToCSV(regid) {
    // Fetch data for the selected participant or all participants based on regid
    // Format the data into CSV format
    // Trigger a file download for the CSV file
    var csvContent = "data:text/csv;charset=utf-8,";
    // Example: Format the data into CSV format
    // csvContent += "Reg ID, Surname, Other Names, Category, Activity, Age, Date of Birth, Passport Image, Birth Certificate Image, Status, Remarks\n";
    // participants.forEach(participant => {
    //     csvContent += `${participant.regid}, ${participant.surname}, ${participant.othernames}, ${participant.category}, ${participant.activity}, ${participant.age}, ${participant.dob}, ${participant.passport_image}, ${participant.birth_certificate_image}, ${participant.status}, ${participant.reason}\n`;
    // });

    var encodedUri = encodeURI(csvContent);
    var link = document.createElement("a");
    link.setAttribute("href", encodedUri);
    link.setAttribute("download", "participants.csv");
    document.body.appendChild(link);
    link.click();
}

// Function to handle printing
function printData(regid) {
    // Fetch data for the selected participant or all participants based on regid
    // Format the data into a printable format (e.g., HTML table)
    var printableContent = document.getElementById('table5').outerHTML;

    // Open a new window or tab for printing
    var printWindow = window.open('', '_blank');
    printWindow.document.write('<html><head><title>Print</title></head><body>');
    printWindow.document.write(printableContent);
    printWindow.document.write('</body></html>');
    printWindow.document.close();

    // Print the contents
    printWindow.print();
}

// Event listener for export button clicks
document.querySelectorAll('.export-csv').forEach(button => {
    button.addEventListener('click', () => {
        var regid = button.getAttribute('data-regid');
        exportToCSV(regid);
    });
});

// Event listener for print button clicks
document.querySelectorAll('.print').forEach(button => {
    button.addEventListener('click', () => {
        var regid = button.getAttribute('data-regid');
        printData(regid);
    });
});

</script>
     -->
</body>
</html>
