<?php
session_start();
ob_start();
include('../../conn.php');

if (!isset($_SESSION['username'])) {
    header('Location: ../../index.php');
    exit();
}

// $successMessage = isset($_GET['successMessage']) ? urldecode($_GET['successMessage']) : '';


// $username = $_SESSION['username'];

// Prepare and execute a SQL query to count the teacher ID cards for the given province

// Define SQL queries
$sqlCounts = [
    "total" => "SELECT COUNT(*) as total FROM paticipants",
    "maleCount" => "SELECT COUNT(*) as maleCount FROM paticipants WHERE gender = 'Male'",
    "femaleCount" => "SELECT COUNT(*) as femaleCount FROM paticipants WHERE gender = 'Female'",
    "activatedCount" => "SELECT COUNT(*) as activatedCount FROM paticipants WHERE status = 'Approved'",
    "processingCount" => "SELECT COUNT(*) as processingCount FROM paticipants WHERE status = 'Pending'",
    "lowerjunior" => "SELECT COUNT(*) as lowerjunior FROM paticipants WHERE agecategory = 'Age 6-8 Years'",
    "upperjunior" => "SELECT COUNT(*) as upperjunior FROM paticipants WHERE agecategory = 'Age 9-12 Years'",
    "lowerteens" => "SELECT COUNT(*) as lowerteens FROM paticipants WHERE agecategory = 'Age 13-15 Years'",
    "upperteens" => "SELECT COUNT(*) as upperteens FROM paticipants WHERE agecategory = 'Age 16-19 Years'"
];

// Execute queries and fetch results
$results = [];
foreach ($sqlCounts as $key => $sql) {
    $stmt = $conn->prepare($sql);
    // Uncomment and bind parameters if needed
    // $stmt->bindParam(':region', $region);
    $stmt->execute();
    $results[$key] = $stmt->fetchColumn(); // Fetch only the count
}

// // Output the results
// echo "Total Participants: " . $results['total'] . "<br>";
// echo "Male Participants: " . $results['maleCount'] . "<br>";
// echo "Female Participants: " . $results['femaleCount'] . "<br>";
// echo "Activated Participants: " . $results['activatedCount'] . "<br>";
// echo "Participants in Processing: " . $results['processingCount'] . "<br>";
// echo "Lower Junior Participants: " . $results['lowerjunior'] . "<br>";
// echo "Upper Junior Participants: " . $results['upperjunior'] . "<br>";
// echo "Lower Teens Participants: " . $results['lowerteens'] . "<br>";
// echo "Upper Teens Participants: " . $results['upperteens'] . "<br>";
?>





<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="Education resources Department" content="DTCE">
    <meta name="description" content="Education resources Department">
    <meta name="keywords" content="Education resources Department">
    <meta name="author" content="Hi-Dev Solutions">
    <title> National Sport Director's Profile</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="../../assets/images/icon2.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&display=swap" rel="stylesheet">


    <link rel="stylesheet" href="../../assets/dash_assets/css/sweetalert2.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/boostrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/icons/flags/flags.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
    <!-- Summernote CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/summernote/summernote-bs4.min.css">
    <!-- Datatables -->
    <link rel="stylesheet" type="text/css" href="../../assets/datatable/css/datatables.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="../../assets/dash_assets/js/jquery-3.6.0.min.js"></script>
</head>

<body>

    <div class="main-wrapper">

        <!-- Header -->
        <div class="header">
            <!-- Logo -->
            <div class="header-left">
                <a href="../assets/images/dtce.png" class="logo">
                    <img src="../assets/images/dtce.png" alt="Logo">
                </a>
                <a href="../assets/images/icon.png" class="logo logo-small">
                    <img src="../assets/images/icon.png" alt="Logo" width="30" height="30">
                </a>
            </div>
            <!-- /Logo -->

            <div class="menu-toggle">
                <a href="javascript:void(0);" id="toggle_btn">
                    <i class="fas fa-bars"></i>
                </a>
            </div>

            <!-- Search Bar -->
            <div class="top-nav-search">
                <form>
                    <input type="text" class="form-control" placeholder="Search here">
                    <button class="btn" type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <!-- /Search Bar -->

            <!-- Mobile Menu Toggle -->
            <a class="mobile_btn" id="mobile_btn">
                <i class="fas fa-bars"></i>
            </a>
            <!-- /Mobile Menu Toggle -->

            <!-- Header Right Menu -->
            <ul class="nav user-menu">
                <!-- User Menu -->
                <li class="nav-item dropdown has-arrow new-user-menus">
                    <a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
                        <span class="user-img">
                            <img class="rounded-circle" src="../assets/images/icon.png" width="31" alt="director logo">
                            <div class="user-text">
                                <?php
                                // Get the region from the session
                                $username = isset($_SESSION['username']) ? $_SESSION['username'] : '';

                                // Get the current year
                                $currentYear = date("Y");

                                // Generate the region number with the desired format
                                $username = str_pad($username, 2, '0', STR_PAD_LEFT); // Add leading zero for single-digit regions
                                $upperusername = strtoupper($username);
                                // Output the region number in the desired format
                                echo "<h6>ERDADMIN/{$currentYear}{$upperusername}</h6>";
                                ?>
                                <p class="text-muted mb-0">NATIONAL Sport DIRECTOR</p>
                            </div>
                        </span>

                    </a>
                    <div class="dropdown-menu">
                        <!-- <div class="user-header">
                            <div class="avatar avatar-sm">
                                <img src="../assets/avatar/default-avatar.png" alt="User Image" class="avatar-img rounded-circle">
                            </div>
                            <div class="user-text">
                                <h6>ERD/</h6>
                                <p class="text-muted mb-0">Sport Director</p>
                            </div>
                        </div> -->
                        <a class="dropdown-item" href="../Sport_director/view_profile.php">My Profile</a>
                        <form action="../../logout.php" method="POST">
                            <input type="hidden" name="_token"> <a class="dropdown-item" href="route('../../../../logout.php')" onclick="event.preventDefault(); this.closest('form').submit();">
                                Logout
                            </a>
                        </form>
                    </div>
                </li>
                <!-- /User Menu -->

            </ul>
            <!-- /Header Right Menu -->

        </div>
        <!-- /Header -->
        <div class="sidebar" id="sidebar">
            <div class="sidebar-inner slimscroll">
                <div id="sidebar-menu" class="sidebar-menu">
                    <ul>
                        <li class="active">
                            <a href="./dashboard.php"><i class="fas fa-tachometer-alt"></i> <span> Dashboard</span></a>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-trophy"></i> <span>Ongoing Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./list_competitions.php">List of Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-pen-square"></i><span>My Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./#">New Application</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-users"></i> <span>Approved Participants</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./payment.php">List of Approved Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-user-cog"></i> <span>My Profile</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./view_profile.php">Profile Settings</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="page-wrapper">

            <div class="content container-fluid">
                <div class="page-header">
                    <div class="row">
                        <div class="col">
                            <h3 class="page-title">Sport Director's Profile</h3>
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="./dashboard.php">Dashboard</a></li>
                                <li class="breadcrumb-item active">Sport Director's Profile</li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="profile-header">
                            <div class="row align-items-center">
                                <div class="col-auto profile-image">
                                    <a href="#">
                                        <img class="rounded-circle" alt="User Image" src="../assets/images/icon.png">
                                    </a>
                                </div>
                                <div class="col ms-md-n2 profile-user-info">
                                    <h4 class="user-name mb-0"> <?php echo "{$upperusername}" ?></h4>
                                </div>
                                <div class="col-auto profile-btn">
                                    <a href="" class="btn btn-primary">
                                        Edit
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="profile-menu">
                            <ul class="nav nav-tabs nav-tabs-solid">
                                <li class="nav-item">
                                    <a class="nav-link active" data-bs-toggle="tab" href="#per_details_tab">Update Admin Profile</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-bs-toggle="tab" href="#password_tab">Change Admin Password</a>
                                </li>
                            </ul>
                        </div>
                        <!-- $user_id = $_SESSION['user_id']; -->
                        <?php
                        require_once("../../conn.php");

                        // Check if the user is logged in
                        if (!isset($_SESSION['user_id'])) {
                            // Redirect the user to the login page if not logged in
                            header("Location: ../../login.php");
                            exit();
                        }

                        // Fetch user data from the database based on user_id
                        $user_id = $_SESSION['user_id'];
                        $stmt = $conn->prepare("SELECT * FROM admin WHERE id = ?");
                        $stmt->execute([$user_id]);
                        $user_data = $stmt->fetch(PDO::FETCH_ASSOC);

                        // Check if the form for updating profile is submitted
                        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["updateProfile"])) {
                            // Retrieve form data
                            $firstname = $_POST['firstname'];
                            $middlename = $_POST['middlename'];
                            $surname = $_POST['surname'];
                            $email = $_POST['email'];
                            $phone = $_POST['phone'];

                            // Prepare and execute the update query
                            $stmt = $conn->prepare("UPDATE admin SET firstname = ?, middlename = ?, surname = ?, email = ?, phone = ? WHERE id = ?");
                            $stmt->execute([$firstname, $middlename, $surname, $email, $phone, $user_id]);

                            // Redirect to view_profile.php after updating
                            header("Location: view_profile.php");
                            exit();
                        }

                        // Check if the form is submitted and the Change password button is clicked
                        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["Changepassword"])) {
                            // Connect to your database
                            // Example: $conn = new PDO("mysql:host=localhost;dbname=mydatabase", $username, $password);

                            // Check if the connection is successful
                            if ($conn) {
                                // Retrieve form data
                                $old_password = $_POST['old_password'];
                                $new_password = $_POST['password'];
                                $password_confirmation = $_POST['password_confirmation'];
                                // Assuming 'user_id' is set in the session
                                $user_id = $_SESSION['user_id'];

                                // Validate old password
                                // Fetch the old password hash from the database based on user_id
                                $stmt = $conn->prepare("SELECT password FROM admin WHERE id = ?");
                                $stmt->execute([$user_id]);
                                $row = $stmt->fetch(PDO::FETCH_ASSOC);
                                $hashed_password = $row['password'];

                                // Verify if the old password matches the stored hash
                                if (password_verify($old_password, $hashed_password)) {
                                    // Validate new password and confirmation
                                    if ($new_password === $password_confirmation) {
                                        // Hash the new password
                                        $hashed_new_password = password_hash($new_password, PASSWORD_DEFAULT);

                                        // Prepare and execute the update query
                                        $stmt = $conn->prepare("UPDATE admin SET password = ? WHERE id = ?");
                                        if ($stmt->execute([$hashed_new_password, $user_id])) {
                                            // Redirect to view_profile.php after updating
                                            header("Location: view_profile.php/#password_tab");
                                            exit();
                                        } else {
                                            $error = "Error updating password: " . $stmt->errorInfo()[2];
                                        }
                                    } else {
                                        $error = "New password and confirmation do not match.";
                                    }
                                } else {
                                    $error = "Incorrect old password.";
                                }
                            } else {
                                $error = "Database connection error!";
                            }
                        }
                        ?>

                        <div class="tab-content profile-tab-cont">
                            <!-- Personal Details Tab -->
                            <div class="tab-pane fade show active" id="per_details_tab">
                                <!-- Personal Details -->
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="card">
                                            <div class="card-body">
                                                <h5 class="card-title d-flex justify-content-between">
                                                    <span>Personal Details</span>
                                                    <a class="edit-link" data-bs-toggle="modal" href="#edit_personal_details"><i class="far fa-edit me-1"></i>Edit</a>
                                                </h5>
                                                <form method="post">
                                                    <div class="row">
                                                        <!-- <div class="form-group col-lg-6">
                                                            <label>Firstname</label>
                                                            <input type="text" name="firstname" value="<?php echo $user_data['firstname']; ?>" class="form-control" required>
                                                        </div> -->
                                                        <!-- Remaining form fields for other personal details -->
                                                        <!-- <div class="form-group col-lg-6">
                                                            <label>Middlename</label>
                                                            <input type="text" name="middlename" value="<?php echo $user_data['middlename']; ?>" class="form-control" required>
                                                        </div> -->
                                                        <!-- <div class="form-group col-lg-6">
                                                            <label>Surname</label>
                                                            <input type="text" name="surname" value="<?php echo $user_data['surname']; ?>" class="form-control" required>
                                                        </div> -->
                                                        <!-- <div class="form-group col-lg-6">
                                                            <label>Email Address</label>
                                                            <input type="email" name="email" value="<?php echo $user_data['email']; ?>" class="form-control" required>
                                                        </div> -->
                                                        <!-- <div class="form-group col-lg-6">
                                                            <label>Phone Number</label>
                                                            <input type="tel" name="phone" value="<?php echo $user_data['phone']; ?>" class="form-control" required>
                                                        </div> -->
                                                        <div class="form-group col-lg-6">
                                                            <label>Admin Username</label>
                                                            <input type="tel" name="username" value="<?php echo $user_data['username']; ?>" class="form-control" required readonly>
                                                        </div>

                                                    </div>
                                                    <button class="btn btn-primary save_data" name="updateProfile" type="submit">Update Profile</button>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- /Personal Details -->

                            </div>
                            <!-- /Personal Details Tab -->

                            <!-- Change Password Tab -->
                            <div id="password_tab" class="tab-pane fade">
                                <div class="card">
                                    <div class="card-body">
                                        <h5 class="card-title">Change Password</h5>
                                        <form method="POST">
                                            <?php if (isset($error)) : ?>
                                                <div class="alert alert-danger"><?php echo $error; ?></div>
                                            <?php endif; ?>
                                            <div class="form-group">
                                                <label>Old Password</label>
                                                <input type="password" name="old_password" class="form-control" autocomplete="none">
                                            </div>
                                            <div class="form-group">
                                                <label>New Password</label>
                                                <input type="password" name="password" class="form-control" autocomplete="none">
                                            </div>
                                            <div class="form-group">
                                                <label>Confirm Password</label>
                                                <input type="password" name="password_confirmation" class="form-control" autocomplete="">
                                            </div>
                                            <button class="btn btn-primary" disabled name="Changepassword" type="submit">Update Password</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /Change Password Tab -->
                        </div>




                        <footer class="text-center">

                            <p id="copyright"></p>

                        </footer>

                        <script>
                            // Get the current year
                            const currentYear = new Date().getFullYear();

                            // Update the footer text
                            document.getElementById("copyright").textContent = `Copyright © ${currentYear} RCCG DTCE | EDUCATION RESOURCES DEPARTMENT`;
                        </script>
                        <!-- /Footer -->
                    </div>
                </div>







                <!-- Bootstrap Core JS -->
                <script src="../assets/dash_assets/plugins/boostrap/js/bootstrap.bundle.min.js"></script>

                <!-- Feather Icon JS -->
                <script src="../assets/dash_assets/js/feather.min.js"></script>

                <!-- Slimscroll JS -->
                <script src="../assets/dash_assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>

                <!-- Chart JS -->
                <script src="../assets/dash_assets/plugins/apexchart/apexcharts.min.js"></script>
                <script src="../assets/dash_assets/plugins/apexchart/chart-data.js"></script>

                <!-- summernote -->
                <script src="../assets/dash_assets/plugins/summernote/summernote-bs4.min.js"></script>
                <script src="../assets/js/ckeditor.js"></script>
                <script src="../assets/dash_assets/js/sweetalert.min.js"></script>
                <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
                <!-- datatable -->
                <script src="../assets/datatable/js/jquery.dataTables.min.js"></script>
                <script src="../assets/datatable/js/datatable.custom.js"></script>
                <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js" type="text/javascript"></script>
                <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js" type="text/javascript"></script>
                <script src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js" type="text/javascript"></script>
                <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.flash.min.js" type="text/javascript"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
                <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.html5.min.js" type="text/javascript"></script>
                <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js" type="text/javascript"></script>
                <script src="//cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>
                <!-- Custom JS -->
                <script src="../assets/dash_assets/js/script.js"></script>
                <script src="../assets/js/dashboard.js?v=1"></script>
                <script src="../assets/js/datatable.js"></script>


</body>

</html>