<?php
include 'conn.php';

// Fetch participants
$stmt = $conn->query("SELECT * FROM paticipants");
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Participants</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container mt-5">
    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-striped" id="participantTable">
                    <thead>
                        <tr>
                            <th>Reg ID</th>
                            <th>First Name</th>
                            <th>Last Name</th>
                            <th>Region</th>
                            <th>Province</th>
                            <th>Date Of Birth</th>
                            <th>Age</th>
                            <th>Age Category</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($participants as $participant) : ?>
                            <tr>
                                <td><?php echo htmlspecialchars($participant['regid']); ?></td>
                                <td><?php echo htmlspecialchars($participant['firstname']); ?></td>
                                <td><?php echo htmlspecialchars($participant['lastname']); ?></td>
                                <td><?php echo htmlspecialchars($participant['region']); ?></td>
                                <td><?php echo htmlspecialchars($participant['province']); ?></td>
                                <td><?php echo htmlspecialchars($participant['dob']); ?></td>
                                <td><?php echo htmlspecialchars($participant['age']); ?> Years</td>
                                <td><?php echo htmlspecialchars($participant['agecategory']); ?></td>
                                <td><?php echo htmlspecialchars($participant['status']); ?></td>
                                <td>
                                    <button type="button" class="btn btn-success accept-btn" data-regid="<?php echo htmlspecialchars($participant['regid']); ?>">Accept</button>
                                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#rejectModal<?php echo htmlspecialchars($participant['regid']); ?>">Reject</button>
                                </td>
                            </tr>
                            <!-- Modal for rejection reason -->
                            <div class="modal fade" id="rejectModal<?php echo htmlspecialchars($participant['regid']); ?>" tabindex="-1" role="dialog" aria-labelledby="rejectModalLabel<?php echo htmlspecialchars($participant['regid']); ?>" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="rejectModalLabel<?php echo htmlspecialchars($participant['regid']); ?>">Reason for Rejection</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <form class="reject-form">
                                                <div class="form-group">
                                                    <label for="rejectReason<?php echo htmlspecialchars($participant['regid']); ?>">Reason</label>
                                                    <textarea class="form-control reject-reason" id="rejectReason<?php echo htmlspecialchars($participant['regid']); ?>" required></textarea>
                                                </div>
                                                <input type="hidden" class="reg-id" value="<?php echo htmlspecialchars($participant['regid']); ?>">
                                                <button type="submit" class="btn btn-danger">Submit</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
$(document).ready(function() {
    // Accept button handler
    $('.accept-btn').click(function() {
        var regid = $(this).data('regid');
        $.ajax({
            url: 'update_status.php',
            type: 'POST',
            data: { regid: regid, status: 'Approved' },
            success: function(response) {
                alert('Participant accepted.');
                location.reload();
            }
        });
    });

    // Reject form handler
    $('.reject-form').submit(function(e) {
        e.preventDefault();
        var form = $(this);
        var regid = form.find('.reg-id').val();
        var reason = form.find('.reject-reason').val();
        $.ajax({
            url: 'update_status.php',
            type: 'POST',
            data: { regid: regid, status: 'Pending', reason: reason },
            success: function(response) {
                alert('Participant rejected.');
                location.reload();
            }
        });
    });
});
</script>

</body>
</html>
