<?php
require_once("conn.php");

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve participant registration ID and scratch card pin from the form
    $regid = $_POST['regid'];
    $pin = $_POST['pin'];

    // Assuming you have already established a database connection
    // Replace $pdo with your actual PDO database connection variable
    try {
        // Prepare the SQL query to fetch participant details based on registration ID and pin
        $sql = "SELECT * FROM participants WHERE regid = :regid AND pin = :pin";

        // Prepare the statement
        $stmt = $conn->prepare($sql);

        // Bind parameters
        $stmt->bindParam(':regid', $regid);
        $stmt->bindParam(':pin', $pin);

        // Execute the query
        $stmt->execute();

        // Fetch the participant details
        $participant = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($participant) {
            // Participant details found, generate the result in A4 paper format
            // You can use HTML and CSS to format the result as needed
            // For example:
            echo "<!DOCTYPE html>";
            echo "<html lang='en'>";
            echo "<head>";
            echo "<meta charset='UTF-8'>";
            echo "<meta name='viewport' content='width=device-width, initial-scale=1.0'>";
            echo "<title>Participant Result</title>";
            echo "<style>";
            echo "@media print {
                /* Set page size to A4 */
                @page {
                    size: A4;
                    margin: 0;
                }
        
                /* Hide elements that should not be printed */
                body {
                    margin: 0;
                    padding: 0;
                }
        
                /* Set margins for the content */
                .container {
                    width: 100%;
                    margin: 20mm 10mm;
                    /* Adjust margins as needed */
                }
        
                /* Additional styles for better printing */
                table {
                    width: 100%;
                    border-collapse: collapse;
                }
        
                th,
                td {
                    border: 1px solid #ddd;
                    padding: 8px;
                    text-align: left;
                }
        
                th {
                    background-color: #f2f2f2;
                }
            }";
            echo "</style>";
            echo "</head>";
            echo "<body>";
            echo "<div class='container'>";
            echo "<h1>Participant Result</h1>";
            echo "<p>Registration Code: " . $participant['regid'] . "</p>";
            echo "<p>Participant Surname: " . $participant['surname'] . "</p>";
            echo "<p>Participant Other Names: " . $participant['othernames'] . "</p>";
            echo "<p>Participant Category: " . $participant['category'] . "</p>";
            echo "<p>Participant Competition Activity: " . $participant['activity'] . "</p>";
            echo "<p>Participant Age: " . $participant['age_year'] . " years</p>";
            echo "<p>Participant Competiton Score: " . $participant['result'] . "</p>";
            // Output other participant details as needed
            echo "</div>";
            echo "<button onclick='window.print()'>Print Result</button>";
            echo "</body>";
            echo "</html>";
        } else {
            // Participant not found or invalid credentials
            echo "<script>alert('Participant not found or invalid credentials');</script>";
            // Redirect back to the result.php page
            echo "<script>window.location.href = 'result.php';</script>";
        }
    } catch (PDOException $e) {
        // Handle database errors
        echo "Error: " . $e->getMessage();
    }
} else {
    // If the form is not submitted, redirect back to the main page
    header("Location: index.php");
    exit();
}
?>
