<?php
session_start();
include 'conn.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'];

    // Initialize file paths
    $passport = '';
    $birth_certificate = '';

    // Function to handle file uploads securely
    function uploadFile($file, $targetDir, $allowedExtensions = ['jpg', 'jpeg', 'png'], $maxFileSize = 5242880) {
        // Check if the file was uploaded without error
        if (isset($file) && $file['error'] === UPLOAD_ERR_OK) {
            // Extract file extension
            $fileExt = strtolower(pathinfo($file['name'], PATHINFO_EXTENSION));
            
            // Validate file extension
            if (!in_array($fileExt, $allowedExtensions)) {
                return ['error' => 'Invalid file type. Only ' . implode(', ', $allowedExtensions) . ' are allowed.'];
            }

            // Validate file size (max 5MB)
            if ($file['size'] > $maxFileSize) {
                return ['error' => 'File size exceeds the maximum limit of 5MB.'];
            }

            // Clean up file name and define target path
            $fileName = str_replace(' ', '', $file['name']); // Remove spaces from the file name
            $targetFilePath = $targetDir . $fileName;

            // Move the file to the target directory
            if (move_uploaded_file($file['tmp_name'], $targetFilePath)) {
                return ['success' => $fileName];
            } else {
                return ['error' => 'Failed to upload file. Please try again.'];
            }
        }
        return ['error' => 'No file uploaded or there was an error.'];
    }

    // Handle passport upload
    $passportUpload = uploadFile($_FILES['passport'], './passport/');
    if (isset($passportUpload['error'])) {
        echo "<script>alert('" . $passportUpload['error'] . "'); window.location.href = 'participants.php';</script>";
        exit;
    } else {
        $passport = $passportUpload['success'];
    }

    // Handle birth certificate upload
    $birthCertificateUpload = uploadFile($_FILES['birth_certificate'], './certificate/');
    if (isset($birthCertificateUpload['error'])) {
        echo "<script>alert('" . $birthCertificateUpload['error'] . "'); window.location.href = 'participants.php';</script>";
        exit;
    } else {
        $birth_certificate = $birthCertificateUpload['success'];
    }

    // Prepare the SQL query for updating the participant record
    $sql = "UPDATE paticipants SET passport = ?, birth_certificate = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);

    // Execute the query with parameters
    $result = $stmt->execute([$passport, $birth_certificate, $id]);

    // Check if the update was successful
    if ($result) {
        echo "<script>alert('Success! Participant record is updated successfully.'); window.location.href = 'participants.php';</script>";
    } else {
        echo "<script>alert('Error! Failed to update participant record.'); window.location.href = 'participants.php';</script>";
    }
}
?>
