<?php
session_start();
include 'conn.php';

// Check if the admin is logged in
if (!isset($_SESSION['admin_id'])) {
    echo json_encode(['success' => false, 'message' => 'Admin not logged in.']);
    exit();
}

$admin_id = $_SESSION['admin_id'];
$stmt = $conn->prepare("SELECT username FROM admin WHERE id = ?");
$stmt->execute([$admin_id]);
$admin = $stmt->fetch(PDO::FETCH_ASSOC);
$admin_username = htmlspecialchars($admin['username']);

// Check if ID and status are set
if (isset($_POST['id']) && isset($_POST['status'])) {
    $id = $_POST['id'];
    $status = $_POST['status'];

    // Update the status and only set approved_by if it is currently NULL
    $stmt = $conn->prepare("UPDATE participants SET status = ?, approved_by = IFNULL(approved_by, ?) WHERE id = ?");
    if ($stmt->execute([$status, $admin_username, $id])) {
        // Fetch the updated participant data
        $stmt = $conn->prepare("SELECT firstname, lastname FROM participants WHERE id = ?");
        $stmt->execute([$id]);
        $participant = $stmt->fetch(PDO::FETCH_ASSOC);
        echo json_encode(['success' => true, 'firstname' => $participant['firstname'], 'lastname' => $participant['lastname']]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Failed to update participant status.']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request.']);
}
?>
